libzypp 17.38.15

lift.h File Reference
`#include <utility>`
`#include <zypp-core/ng/meta/Functional>`
`#include <zypp-core/ng/async/task.h>`
`#include <zypp-core/ng/pipelines/operators.h>`

Go to the source code of this file.

## Classes
struct | zyppng::detail::LiftImpl< LiftedFun, T1, T2, typename >
struct | zyppng::detail::lifter< LiftedFun >

## Namespaces
namespace | zyppng
namespace | zyppng::detail

## Functions
template<typename Fun>
auto | zyppng::lift (Fun &&func)